---
updatedAt: 2026-06-24T20:07:03.000Z
---

# Get spec


The get spec API allows users to retrieve specifications for a specified Product Type or a set of Product Types (up to 20). To get the spec, include "version" and "feedType" in the query parameters as instructed below.

Throttling: This endpoint is throttled at a maximum of 3 transactions per minute (TPM) per seller.

<br><b style='color:green;'>Market availability: US only</b>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Item Management",
    "version": "1.0",
    "description": "The Item Management APIs enable you to set up and manage items on Walmart.com. Once you have completed Registration and have access to your Consumer ID and Private Key, you can get started with the integration process"
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Specifies the production URL."
    },
    {
      "url": "https://sandbox.walmartapis.com",
      "description": "Specifies the sandbox URL."
    }
  ],
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "paths": {
    "/v3/items/spec": {
      "post": {
        "tags": [
          "Items",
          "Virtual packs"
        ],
        "summary": "Get spec",
        "description": "\nThe get spec API allows users to retrieve specifications for a specified Product Type or a set of Product Types (up to 20). To get the spec, include \"version\" and \"feedType\" in the query parameters as instructed below.\n\nThrottling: This endpoint is throttled at a maximum of 3 transactions per minute (TPM) per seller.\n\n<br><b style='color:green;'>Market availability: US only</b>",
        "operationId": "getSpec",
        "parameters": [
          {
            "in": "header",
            "name": "WM_SEC.ACCESS_TOKEN",
            "description": "Access token obtained from the Token API. Required for authenticating requests to Walmart Marketplace APIs.\n\n<strong style=\"color: green;\">Market availability: Global</strong>",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM....."
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.CHANNEL.TYPE",
            "description": "A unique ID to identify the consumer request by channel. Use the Consumer Channel Type received during onboarding.\n\n<strong style=\"color: green;\">Market availability: Global</strong>",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "A unique ID that identifies each API call and is used to track and debug issues. Use a randomly generated GUID for this ID.\n\n<strong style=\"color: green;\">Market availability: Global</strong>",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "b3261d2d-028a-4ef7-8602-633c23200af6"
          },
          {
            "in": "header",
            "name": "WM_SVC.NAME",
            "description": "Specifies the name of the Walmart service being called.\n\n<strong style=\"color: green;\">Market availability: Global</strong>",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Walmart Marketplace"
          },
          {
            "name": "WM_MARKET",
            "in": "header",
            "description": "The target market of the API call.\n\n<strong style=\"color: green;\">Market availability: Global</strong>",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "us",
                "ca",
                "mx",
                "cl"
              ]
            }
          },
          {
            "name": "WM_GLOBAL_VERSION",
            "in": "header",
            "description": "The version of the global API used.\n\n<strong style=\"color: green;\">Market availability: Global</strong>",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "3.1"
              ]
            }
          }
        ],
        "requestBody": {
          "description": "Request fields",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "feedType": {
                    "type": "string",
                    "description": "The type of feed, which specifies the nature of the update.\n\n<strong style=\"color: green;\">Market availability: US only</strong>"
                  },
                  "version": {
                    "type": "string",
                    "description": "Enter the item specification version. Example: 5.0.20250121-19_24_23-api.\n\n<strong style=\"color: green;\">Market availability: US only</strong>"
                  },
                  "productTypes": {
                    "type": "array",
                    "description": "Specifies the product types.\n\n<strong style=\"color: green;\">Market availability: US only</strong>",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              },
              "example": {
                "feedType": "MP_WFS_ITEM",
                "version": "5.0.20240517-04_08_27-api",
                "productTypes": [
                  "Baby Blankets"
                ]
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/json": {
                "schema": {
                  "required": [
                    "$schema",
                    "additionalProperties",
                    "properties",
                    "required",
                    "title",
                    "type"
                  ],
                  "type": "object",
                  "properties": {
                    "$schema": {
                      "description": "Specifies the URI and version of the JSON schema standard being used.",
                      "type": "string"
                    },
                    "type": {
                      "description": "Specifies the type of the data structure, such as object, array, string, number, etc. It indicates what kind of data is expected.",
                      "type": "string"
                    },
                    "properties": {
                      "description": "Lists the properties that an object can have.",
                      "type": "object"
                    },
                    "title": {
                      "description": "Provides a human-readable title for the schema or a specific property. Example: Product Specification.",
                      "type": "string"
                    },
                    "required": {
                      "description": "Lists the properties that are mandatory in a valid object. Example: feedType.",
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "additionalProperties": {
                      "description": "Specifies whether an object can have properties that are not defined in the properties section. If set to false, no additional properties are allowed.",
                      "type": "boolean"
                    }
                  },
                  "xml": {
                    "name": "schema"
                  }
                },
                "example": {
                  "schema": {
                    "$schema": "http://json-schema.org/draft-07/schema#",
                    "type": "object",
                    "properties": {
                      "MPItemFeedHeader": {
                        "title": "MPItemFeedHeader",
                        "$schema": "http://json-schema.org/draft-07/schema#",
                        "type": "object",
                        "properties": {
                          "requestId": {
                            "type": "string",
                            "title": "Request ID",
                            "minLength": 1,
                            "maxLength": 64
                          },
                          "requestBatchId": {
                            "type": "string",
                            "title": "Request Batch ID",
                            "minLength": 1,
                            "maxLength": 64
                          },
                          "processMode": {
                            "type": "string",
                            "title": "Process Mode",
                            "enum": [
                              "MERGE",
                              "REPLACE"
                            ]
                          },
                          "subset": {
                            "type": "string",
                            "title": "Subset",
                            "enum": [
                              "INTERNAL",
                              "EXTERNAL"
                            ]
                          },
                          "mart": {
                            "type": "string",
                            "title": "Mart",
                            "enum": [
                              "WALMART_CA",
                              "WALMART_US",
                              "ASDA_GM"
                            ]
                          },
                          "sellingChannel": {
                            "type": "string",
                            "title": "Selling Channel",
                            "enum": [
                              "richmedia",
                              "sharedfresh",
                              "edeliveryowned",
                              "dsv",
                              "dsdgm",
                              "online",
                              "edelivery",
                              "maintenance",
                              "dsdfresh",
                              "sharedgm",
                              "ssot"
                            ]
                          },
                          "version": {
                            "type": "string",
                            "title": "Spec Version",
                            "enum": [
                              "5.0.20240517-04_08_27"
                            ]
                          },
                          "subCategory": {
                            "type": "string",
                            "title": "Sub Category",
                            "minLength": 1,
                            "maxLength": 400
                          },
                          "locale": {
                            "type": "string",
                            "title": "Locale",
                            "enum": [
                              "en"
                            ]
                          },
                          "feedDate": {
                            "type": "string",
                            "title": "Feed Date",
                            "format": "date-time"
                          },
                          "feedType": {
                            "type": "string",
                            "title": "Feed Type Name",
                            "enum": [
                              "MP_WFS_ITEM"
                            ]
                          }
                        },
                        "additionalProperties": false
                      },
                      "MPItem": {
                        "title": "MPItem",
                        "$schema": "http://json-schema.org/draft-07/schema#",
                        "type": "array",
                        "items": {
                          "$schema": "http://json-schema.org/draft-07/schema#",
                          "type": "object",
                          "properties": {
                            "Visible": {
                              "title": "Visible",
                              "$schema": "http://json-schema.org/draft-07/schema#",
                              "type": "object",
                              "properties": {
                                "Baby Blankets": {
                                  "$schema": "http://json-schema.org/draft-07/schema#",
                                  "type": "object",
                                  "properties": {
                                    "colorCategory": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Color Category",
                                      "items": {
                                        "type": "string",
                                        "title": "Color Category",
                                        "description": "Closed List - Select the color from a short list that best describes the general color(s) of the item. This improves searchability as it allows customers to view items by color from the left navigation when they perform a search.\n\nPlease list all colors for the item. If the item has more than one color, please select Multi-color in addition to primary colors. Don’t list more than the three main colors.",
                                        "enum": [
                                          "Blue",
                                          "Brown",
                                          "Gold",
                                          "Gray",
                                          "Purple",
                                          "Clear",
                                          "Yellow",
                                          "Off-White",
                                          "Multicolor",
                                          "Black",
                                          "Beige",
                                          "Pink",
                                          "Orange",
                                          "Green",
                                          "White",
                                          "Red",
                                          "Silver",
                                          "Bronze"
                                        ]
                                      },
                                      "minItems": 1
                                    },
                                    "collection": {
                                      "type": "string",
                                      "title": "Collection",
                                      "description": "Alphanumeric, 100 characters - A collection is a particular group of items that have the same visual style, made by the same brand. Example: Classic Collection; Eco Modern Collection; Hotel Collection; Vintage Collection",
                                      "minLength": 1,
                                      "maxLength": 100
                                    },
                                    "threadCount": {
                                      "type": "integer",
                                      "title": "Thread Count",
                                      "description": "Number, 7 characters - The number of horizontal and vertical threads per square inch of fabric. This is considered an important indicator of item quality. For example, when selecting bed sheets, consumers correlate higher thread counts (over 300) with better quality and comfort. Example: 400; 600; 800",
                                      "minimum": 0,
                                      "maximum": 10000000
                                    },
                                    "character": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Character",
                                      "items": {
                                        "type": "string",
                                        "title": "Character",
                                        "description": "Alphanumeric, 50 characters - A person or entity portrayed in print or visual media. A character might be a fictional personality or an actual living person. Example: Ariel; Bambi; Grinch; Mickey Mouse",
                                        "minLength": 1,
                                        "maxLength": 50
                                      },
                                      "minItems": 1
                                    },
                                    "fabricContent": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Fabric Content",
                                      "items": {
                                        "$schema": "http://json-schema.org/draft-07/schema#",
                                        "type": "object",
                                        "properties": {
                                          "materialName": {
                                            "type": "string",
                                            "title": "Fabric Material Name",
                                            "description": "Alphanumeric, 4000 characters - A list of every major constituent fiber by percentage using its generic name, as is legally required for yarns, fabrics, clothing and other household items. Example: Cotton; Egyptian Cotton; Flannel; Fleece",
                                            "minLength": 1,
                                            "maxLength": 4000
                                          },
                                          "materialPercentage": {
                                            "type": "number",
                                            "title": "Fabric Material Percentage",
                                            "description": "Decimal, 16 characters - The percentage of each fiber within the garment. Example: 20;60;75;95",
                                            "minimum": 0,
                                            "maximum": 10000000000000000,
                                            "multipleOf": 0.01
                                          }
                                        },
                                        "required": [
                                          "materialPercentage",
                                          "materialName"
                                        ],
                                        "additionalProperties": false
                                      },
                                      "minItems": 1
                                    },
                                    "gender": {
                                      "type": "string",
                                      "title": "Gender",
                                      "description": "Closed List - Indicates whether this item is meant for a particular gender or meant to be gender-agnostic (unisex).",
                                      "enum": [
                                        "Unisex",
                                        "Male",
                                        "Female"
                                      ]
                                    },
                                    "pattern": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Pattern",
                                      "items": {
                                        "type": "string",
                                        "title": "Pattern",
                                        "description": "Alphanumeric, 400 characters - Decorative design or visual ornamentation, often with a thematic, recurring motif. Example: Striped; Quilted; Houndstooth; Tiger Stripe; Cheetah Print; Meander; Swirls; Tribal; Floral; Plaid; Paisley",
                                        "minLength": 1,
                                        "maxLength": 400
                                      },
                                      "minItems": 1
                                    },
                                    "color": {
                                      "type": "string",
                                      "title": "Color",
                                      "description": "Alphanumeric, 600 characters - Color refers to the actual color defined by the manufacturer. For Example, an item may be gray and black (which are used in the Color Category attribute) but the manufacturer calls the color Space Gray. Example: Aqua; Black; Blue; Jet Black; Lime Green; Silver; Space Gray",
                                      "minLength": 1,
                                      "maxLength": 600
                                    },
                                    "homeDecorStyle": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Home Decor Style",
                                      "items": {
                                        "type": "string",
                                        "title": "Home Decor Style",
                                        "description": "Closed List - Describes home furnishings and decorations according to various themes, styles and tastes.",
                                        "enum": [
                                          "Modern",
                                          "Mid-Century",
                                          "Privacy",
                                          "Vintage",
                                          "Novelty",
                                          "Mission",
                                          "Rustic",
                                          "Luxury",
                                          "Lodge",
                                          "International",
                                          "Tropical",
                                          "Industrial",
                                          "Cabin",
                                          "Jacobean",
                                          "French",
                                          "Architectural",
                                          "Glam",
                                          "Cottage",
                                          "Kids",
                                          "Natural",
                                          "Transitional",
                                          "Country",
                                          "Scandinavian",
                                          "Traditional",
                                          "Victorian",
                                          "Bohemian",
                                          "Asian Inspired",
                                          "Farmhouse",
                                          "Amish",
                                          "Classic",
                                          "Tiffany",
                                          "Global",
                                          "Contemporary",
                                          "Coastal",
                                          "Modern Farmhouse"
                                        ]
                                      },
                                      "minItems": 1
                                    },
                                    "theme": {
                                      "type": "string",
                                      "title": "Theme",
                                      "description": "Alphanumeric, 800 characters - A dominant idea, meaning, or setting applied to an item.  Example: Woodland Animals; Summer Beach; Sea Shells; Paris Nights; Zebras",
                                      "minLength": 1,
                                      "maxLength": 800
                                    },
                                    "ib_blanket_style": {
                                      "type": "string",
                                      "title": "Blanket Style",
                                      "description": "Closed List - Describes a blanket's appearance and design features.",
                                      "enum": [
                                        "Wearable Baby Blankets",
                                        "Security Blankets",
                                        "Baby Blankets",
                                        "Crib Blankets"
                                      ]
                                    },
                                    "weaving_technique": {
                                      "type": "string",
                                      "title": "Weaving Technique",
                                      "description": "Alphanumeric, 50 characters - Describes the weaving technique utilized in a product. Example: Flat Braid; Percale; Sateen; Shag; Tufted; Waffle Weave; Wilton Woven",
                                      "minLength": 1,
                                      "maxLength": 50
                                    },
                                    "pieceCount": {
                                      "type": "integer",
                                      "title": "Number of Pieces",
                                      "description": "Number, 17 characters - The number of small pieces, slices, or different items within the product. Piece Count applies to things such as puzzles, building block sets, and products that contain multiple different items (such as tool sets, dinnerware sets, gift baskets, art sets, makeup kits, or shaving kits.) Examples: A gift basket of 5 different items has a “Piece Count” of 5.; A 105-Piece Socket Wrench set has a \"Piece Count\" of 105.; A 500-piece puzzle has a “Piece Count” of 500. Example: 5;105;500",
                                      "minimum": 0,
                                      "maximum": 100000000000000000
                                    },
                                    "productName": {
                                      "type": "string",
                                      "title": "Product Name",
                                      "description": "Alphanumeric, 199 characters - Title of the product to be displayed on the Item Page. Your title should ideally be under 90 Characters, Maximum 100 Characters.  Anything over 90 characters will negatively impact your Search Engine Optimization (SEO). Example: Sunshine Products Girls Coral and White Striped Cotton Baby Blankets (2 Count)",
                                      "minLength": 10,
                                      "maxLength": 199
                                    },
                                    "manufacturerPartNumber": {
                                      "type": "string",
                                      "title": "Manufacturer Part Number",
                                      "description": "Alphanumeric, 60 characters - MPN uniquely identifies the product to its manufacturer. For many products this will be identical to the model number. Some manufacturers distinguish part number from model number. Having this information allows customers to search for items on the site and informs product matching. Example: 5061025; TSR-1002; 4-40-3/4-pan-phil",
                                      "minLength": 1,
                                      "maxLength": 60
                                    },
                                    "size": {
                                      "type": "string",
                                      "title": "Size",
                                      "description": "Alphanumeric, 500 characters - Overall dimensions of an item. Used only for products that do not already have a more specific attribute, such as ring size, clothing size, and bottled pen ink. Example: 40\"x30\"; 30\"x18\"",
                                      "minLength": 1,
                                      "maxLength": 500
                                    },
                                    "assembledProductWeight": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "object",
                                      "properties": {
                                        "measure": {
                                          "type": "number",
                                          "title": "Measure",
                                          "description": "Decimal, 16 characters - The weight of the fully assembled product.  Example: 1.75;5;12;32",
                                          "minimum": 0,
                                          "maximum": 10000000000000000,
                                          "multipleOf": 0.01
                                        },
                                        "unit": {
                                          "type": "string",
                                          "title": "Unit",
                                          "description": "Closed List - Unit of measurement for the product's weight in either 'lb' (pounds) or 'oz' (ounces). ",
                                          "enum": [
                                            "lb",
                                            "oz"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "unit",
                                        "measure"
                                      ],
                                      "additionalProperties": false
                                    },
                                    "assembledProductHeight": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "object",
                                      "properties": {
                                        "measure": {
                                          "type": "number",
                                          "title": "Measure",
                                          "description": "Decimal, 16 characters - The height of the fully assembled product.  Example: 5;10;16;22",
                                          "minimum": 0,
                                          "maximum": 10000000000000000,
                                          "multipleOf": 0.01
                                        },
                                        "unit": {
                                          "type": "string",
                                          "title": "Unit",
                                          "description": "Closed List - Unit of measurement for the product's height in inches. ",
                                          "enum": [
                                            "in"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "unit",
                                        "measure"
                                      ],
                                      "additionalProperties": false
                                    },
                                    "assembledProductLength": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "object",
                                      "properties": {
                                        "measure": {
                                          "type": "number",
                                          "title": "Measure",
                                          "description": "Decimal, 16 characters - The length of the fully assembled product. This value appears on the item page as the product's length. Example: 5;10;16;22",
                                          "minimum": 0,
                                          "maximum": 10000000000000000,
                                          "multipleOf": 0.01
                                        },
                                        "unit": {
                                          "type": "string",
                                          "title": "Unit",
                                          "description": "Closed List - Unit of measurement for the product's length in inches.",
                                          "enum": [
                                            "in"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "unit",
                                        "measure"
                                      ],
                                      "additionalProperties": false
                                    },
                                    "features": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Additional Features",
                                      "items": {
                                        "type": "string",
                                        "title": "Additional Features",
                                        "description": "Closed List - The distinguishing characteristics of a product that describe its appearance, components, and capabilities. Features often highlight the usefulness/advantages of the product to consumers. Input each feature as unique value.",
                                        "enum": [
                                          "Hypoallergenic",
                                          "Breathable",
                                          "Stain Protection",
                                          "Reversible",
                                          "Antimicrobial",
                                          "Cooling Technology"
                                        ]
                                      },
                                      "minItems": 1
                                    },
                                    "productSecondaryImageURL": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Additional Image URL",
                                      "items": {
                                        "type": "string",
                                        "title": "Additional Image URL",
                                        "description": "URL, 2500 characters - Secondary images of the item. File Format: JPEG (.jpg). Recommended Pixel Dimensions: 2200px x 2200px. Minimum Pixel Dimensions for Zoom 1500px x 1500px. Resolution: 300 ppi. Maximum file size: 5MB. Aspect Ratio: 1:1 (Square). Recommended File Naming: GTIN-14 digit\nImage URLs should end in an image file type (.jpg) to follow best practices. They must link to a public image file that loads as an image",
                                        "minLength": 1,
                                        "maxLength": 2500,
                                        "format": "uri"
                                      },
                                      "minItems": 3
                                    },
                                    "assembledProductWidth": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "object",
                                      "properties": {
                                        "measure": {
                                          "type": "number",
                                          "title": "Measure",
                                          "description": "Decimal, 16 characters - The width of the fully assembled product.  Example: 5;10;16;22",
                                          "minimum": 0,
                                          "maximum": 10000000000000000,
                                          "multipleOf": 0.01
                                        },
                                        "unit": {
                                          "type": "string",
                                          "title": "Unit",
                                          "description": "Closed List - Unit of measurement for the product's width in inches. ",
                                          "enum": [
                                            "in"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "unit",
                                        "measure"
                                      ],
                                      "additionalProperties": false
                                    },
                                    "character_group": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Character Group",
                                      "items": {
                                        "type": "string",
                                        "title": "Character Group",
                                        "description": "Alphanumeric, 50 characters - Character group name or fictional team name as they appear in a media product. Example: X-Men;Transformers;The Lion King;My Little Pony;Disney Inside Out;Avengers;Angry Birds;Disney Princesses;Delta Squad;Frozen;Trolls;Minecraft;Justice League",
                                        "minLength": 1,
                                        "maxLength": 50
                                      },
                                      "minItems": 1
                                    },
                                    "variantAttributeNames": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Variant Attribute Names",
                                      "items": {
                                        "type": "string",
                                        "title": "Variant Attribute Names",
                                        "description": "Closed List - The designated attribute by which an item is varying.",
                                        "enum": [
                                          "count",
                                          "color",
                                          "pattern",
                                          "character",
                                          "countPerPack",
                                          "theme",
                                          "multipackQuantity"
                                        ]
                                      },
                                      "minItems": 1
                                    },
                                    "swatchImages": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Swatch Images",
                                      "items": {
                                        "$schema": "http://json-schema.org/draft-07/schema#",
                                        "type": "object",
                                        "properties": {
                                          "swatchVariantAttribute": {
                                            "type": "string",
                                            "title": "Swatch Variant Attribute",
                                            "description": "Closed List - Attribute name corresponding to the swatch.",
                                            "enum": [
                                              "count",
                                              "color",
                                              "pattern",
                                              "character",
                                              "countPerPack",
                                              "theme",
                                              "multipackQuantity"
                                            ]
                                          },
                                          "swatchImageUrl": {
                                            "type": "string",
                                            "title": "Swatch Image URL",
                                            "description": "URL, 2500 characters - URL of the color or pattern swatch image. This is required for products with visual variations and will be shown as a small circle on the item page. File Format: JPEG (.jpg). Recommended Pixel Dimensions: 100px x 100px. Resolution: 300 ppi. Maximum file size: 5MB. Recommended File Naming: GTIN-14 digit. Provide the final destination image URL (no-redirects) that is publicly accessible (no username/password required.) Example: http://www.walmart.com/somepath/some-image.jpg",
                                            "minLength": 1,
                                            "maxLength": 2500,
                                            "format": "uri"
                                          }
                                        },
                                        "additionalProperties": false
                                      },
                                      "minItems": 1
                                    },
                                    "law_label_disclosure": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "object",
                                      "properties": {
                                        "law_label_registration_number": {
                                          "type": "string",
                                          "title": "Law Label Registration Number",
                                          "description": "Alphanumeric, 80 characters - The product registration number provided by the certifying organization (GRS registration number will be the same as the product's UPC).",
                                          "minLength": 1,
                                          "maxLength": 80
                                        },
                                        "law_label_identification_provider": {
                                          "type": "string",
                                          "title": "Law Label Identification Provider",
                                          "description": "Closed List - Name of the provider or service that assigns the Law Label registration number (e.g. Global Registration Services, Inc.).",
                                          "enum": [
                                            "Global Registration Services (GRS)",
                                            "Not Required"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "law_label_identification_provider",
                                        "law_label_registration_number"
                                      ],
                                      "additionalProperties": false
                                    },
                                    "fabricCareInstructions": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Fabric Care Instructions",
                                      "items": {
                                        "type": "string",
                                        "title": "Fabric Care Instructions",
                                        "description": "Alphanumeric, 5000 characters - Describes how the fabric should be cleaned. Enter details of the fabric care label found on the item. (For garments, typically located inside on the top of the back or the lower left side.) Example: Dry Clean Only; Machine Washable; Hand Wash; Do Not Bleach; Do Not Dry Clean; Machine Wash Cold; Tumble Dry, Low Heat",
                                        "minLength": 1,
                                        "maxLength": 5000
                                      },
                                      "minItems": 1
                                    },
                                    "grams_per_square_meter_gsm": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "object",
                                      "properties": {
                                        "measure": {
                                          "type": "integer",
                                          "title": "Measure",
                                          "description": "Number, 3 characters - The weight of the fabric if you take a sheet of material which is one meter by one meter square and weigh it in grams.\nThis is the standard measurement for the weight and quality of towels (and all fabrics). It is a measure of density, and higher GSM cotton towels are normally heavier and have a higher capacity for absorption. Example: 300, 350, 400, 450",
                                          "minimum": 0,
                                          "maximum": 1000
                                        },
                                        "unit": {
                                          "type": "string",
                                          "title": "Unit",
                                          "description": "Closed List - The weight of the fabric if you take a sheet of material which is one meter by one meter square and weigh it in grams.\nThis is the standard measurement for the weight and quality of towels (and all fabrics). It is a measure of density, and higher GSM cotton towels are normally heavier and have a higher capacity for absorption.",
                                          "enum": [
                                            "gsm"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "unit",
                                        "measure"
                                      ],
                                      "additionalProperties": false
                                    },
                                    "occasion": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Occasion",
                                      "items": {
                                        "type": "string",
                                        "title": "Occasion",
                                        "description": "Alphanumeric, 2000 characters - The particular target time, event, or holiday for the product. Example: Back-To-School; Birthday; Christmas; Graduation; Mother's Day",
                                        "minLength": 1,
                                        "maxLength": 2000
                                      },
                                      "minItems": 1
                                    },
                                    "mainImageUrl": {
                                      "type": "string",
                                      "title": "Main Image URL",
                                      "description": "URL, 2500 characters - Main image of the item. File Format: JPEG (.jpg). Recommended Pixel Dimensions: 2200px x 2200px. Minimum Pixel Dimensions for Zoom 1500px x 1500px. Resolution: 300 ppi. Maximum file size: 5MB. Aspect Ratio: 1:1 (Square). Recommended File Naming: GTIN-14 digit\nImage URLs should end in an image file type (.jpg) to follow best practices. They must link to a public image file that loads as an image",
                                      "minLength": 1,
                                      "maxLength": 2500,
                                      "format": "uri"
                                    },
                                    "sportsTeam": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Sports Team",
                                      "items": {
                                        "type": "string",
                                        "title": "Sports Team",
                                        "description": "Alphanumeric, 200 characters - If your item has any association with a specific sports team, enter the team name. NOTE: This attribute flags an item for inclusion in the online fan shop. Example: San Jose Earthquakes;San Jose Sharks;Golden State Warriors;Las Vegas Raiders;San Francisco 49ers;San Francisco Giants;Stanford Cardinal;Oakland Athletics",
                                        "minLength": 1,
                                        "maxLength": 200
                                      },
                                      "minItems": 1
                                    },
                                    "keyFeatures": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Key Features",
                                      "items": {
                                        "type": "string",
                                        "title": "Key Features",
                                        "description": "Alphanumeric, 10000 characters - Key features will appear as bulleted text on the item page and in search results. Key features help the user understand the benefits of the product with a simple and clean format.  Example: Phantoscope Luxury  Mongolian Style Plush Faux Fur  Series Decorative  Throw Pillow, Pink, 2 Count:\n•  Material: 80% acrylon and 20% polyester\n•  Size: 18” x 18”\n•  Includes 2  throw pillows with inserts\n•  Plush  fur  throw pillow expertly  made  to be super  soft and looks like  genuine fur\n•  Wash and Care: machine wash in cold water, gentle cycle\n•  Chic and deluxe design suited perfectly  for  living rooms, bedrooms, sofas, beds, etc",
                                        "minLength": 1,
                                        "maxLength": 10000
                                      },
                                      "minItems": 3
                                    },
                                    "sportsLeague": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Sports League",
                                      "items": {
                                        "type": "string",
                                        "title": "Sports League",
                                        "description": "Alphanumeric, 100 characters - If your item has any association with a specific sports league, enter the league name. Abbreviations are fine. NOTE: This attribute flags an item for inclusion in the online fan shop. Example: NFL;WWE;MLB;NBA;NASCAR;USA Archery",
                                        "minLength": 1,
                                        "maxLength": 100
                                      },
                                      "minItems": 1
                                    },
                                    "brand": {
                                      "type": "string",
                                      "title": "Brand Name",
                                      "description": "Alphanumeric, 60 characters - The name provided by the brand owner that is intended to be recognized by the consumer as represented on the product. If item does not have a brand, use \"Unbranded\".  This should be the brand ONLY, not brand + product line. Make sure brand name is spelled, punctuated & capitalized properly according to the brand itself. Example: Sunshine Products; Beautyrest; Lilly’s Creations",
                                      "minLength": 1,
                                      "maxLength": 60
                                    },
                                    "productLine": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Product Line",
                                      "items": {
                                        "type": "string",
                                        "title": "Product Line",
                                        "description": "Alphanumeric, 400 characters - Product lines exist as a sub-structure of brands and, frequently, as a super-structure of models. Example: Soft Touch; Luxury Power; Prestige",
                                        "minLength": 1,
                                        "maxLength": 400
                                      },
                                      "minItems": 1
                                    },
                                    "shortDescription": {
                                      "type": "string",
                                      "title": "Site Description",
                                      "description": "Alphanumeric, 100000 characters - Overview of the key selling points of the item, marketing content, and highlights in paragraph form. For SEO purposes, repeat the product name and relevant keywords here. Example: Snuggle up anytime with  the Mainstays Plush Bed Blanket.  This machine washable blanket is made  from an extra-soft polyester  fabric  for  a snuggly feel  that keeps you warm during any  season. Featuring stitch-reinforced edges  for  long-lasting durability,  this super-soft bed blanket delivers insulating warmth and maximum comfort and perfect in any  setting. Choose from an array  of bold colors and classic patterns  to coordinate with Mainstays bedding and complement any  style. Whether  you need  to wrap up while  tailgating, need an extra layer  of warmth  for  your  bed, or  need a blanket  for  curling up on  the couch while watching  TV,  the ultra-cozy Mainstays Plush Blanket has you covered.",
                                      "minLength": 1,
                                      "maxLength": 100000
                                    },
                                    "multipackQuantity": {
                                      "type": "integer",
                                      "title": "Multipack Quantity",
                                      "description": "Number, 4 characters - The number of identical, individually packaged-for-sale items. If an item does not contain other items, does not contain identical items, or if the items contained within cannot be sold individually, the value for this attribute should be\"1.\" Examples: (1) A single bottle of 50 pills has a \"Multipack Quantity\" of\"1.\" (2) A package containing two identical bottles of 50 pills has a \"Multipack Quantity\" of 2. (3) A 6-pack of soda labelled for individual sale connected by plastic rings has a \"Multipack Quantity\" of\"6.\" (4) A 6-pack of soda in a box whose cans are not marked for individual sale has a \"Multipack Quantity\" of\"1.\" (5) A gift basket of 5 different items has a \"Multipack Quantity\" of\"1.\" Example: 1;2;4;6",
                                      "minimum": 0,
                                      "maximum": 10000
                                    },
                                    "countPerPack": {
                                      "type": "integer",
                                      "title": "Count Per Pack",
                                      "description": "Number, 10 characters - The number of identical items inside each individual package given by the \"Multipack Quantity\" attribute. Examples: (1) A single bottle of 50 pills has a \"Count Per Pack\" of 50. (2) A package containing two identical bottles of 50 pills has a \"Count Per Pack\" of 50. (3) A 6-pack of soda labeled for individual sale connected by plastic rings has a \"Count Per Pack\" of 1. (4) A 6-pack of soda in a box whose cans are not marked for individual sale has a \"Count Per Pack\" of 6. (5) A gift basket of 5 different items has a \"Count Per Pack\" of 1. Example: 1;2;10;50",
                                      "minimum": 0,
                                      "maximum": 10000000000
                                    },
                                    "netContentStatement": {
                                      "type": "string",
                                      "title": "Net Content Statement",
                                      "description": "Alphanumeric, 500 characters - Complete product net content statement, as it appears on product packaging. Example: 6 - 5.3 OZ (150g) CUPS;1.98 Lb (900g)",
                                      "minLength": 1,
                                      "maxLength": 500
                                    },
                                    "netContent": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "object",
                                      "properties": {
                                        "productNetContentMeasure": {
                                          "type": "number",
                                          "title": "Measure",
                                          "description": "Decimal, 16 characters - The numeric net content portion that appears on an item. \n\nPlease Note: If your item includes multiple items with the same UOM, add them together to get the total measurement. If the item is a set with multiple items that do not share the same UOM, list as 1 Each. Example: 1;12;32",
                                          "minimum": 0,
                                          "maximum": 10000000000000000,
                                          "multipleOf": 0.001
                                        },
                                        "productNetContentUnit": {
                                          "type": "string",
                                          "title": "Unit",
                                          "description": "Closed List - The unit of measure as defined on the product labeling. For example, a gallon of milk has 128 Fluid Ounces: Measure = 128 and Units = Fluid Ounces.\n\nPlease Note: If your item includes multiple items with the same UOM, add them together to get the total measurement. If the item is a set with multiple items that do not share the same UOM, list as 1 Each.",
                                          "enum": [
                                            "Count",
                                            "Sheet",
                                            "Inch",
                                            "Pint",
                                            "Liter",
                                            "Pallet/Unit Load",
                                            "Quart",
                                            "Centiliter",
                                            "Foot",
                                            "Quart Dry",
                                            "Case",
                                            "Yard",
                                            "Fluid Ounces",
                                            "Kilogram",
                                            "Square Foot",
                                            "Ounce",
                                            "Gram",
                                            "Each",
                                            "Pound",
                                            "Centimeter",
                                            "Milliliter",
                                            "Meter",
                                            "Gallon",
                                            "Cubic Foot"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "productNetContentMeasure",
                                        "productNetContentUnit"
                                      ],
                                      "additionalProperties": false
                                    },
                                    "count": {
                                      "type": "integer",
                                      "title": "Total Count",
                                      "description": "Number, 17 characters - The total number of identical items in the package or box; a result of the multiplication of Multipack Quantity by Count Per Pack. Examples: (1) A single bottle of 50 pills has a \"Total Count\" of 50. (2) A package containing two identical bottles of 50 pills has a \"Total Count\" of 100. (3) A gift basket of 5 different items has a \"Total Count\" of 1. Example: 1;50;100",
                                      "minimum": 0,
                                      "maximum": 100000000000000000
                                    },
                                    "manufacturer": {
                                      "type": "string",
                                      "title": "Manufacturer Name",
                                      "description": "Alphanumeric, 60 characters - The name of the manufacturer.\n\n Example: Procter & Gamble; Apple; Sony; General Motors; Yamaha",
                                      "minLength": 1,
                                      "maxLength": 60
                                    },
                                    "modelNumber": {
                                      "type": "string",
                                      "title": "Model Number",
                                      "description": "Alphanumeric, 60 characters - Model numbers allow manufacturers to keep track of each hardware device and identify or replace the proper part when needed. Model numbers are often found on the bottom, back, or side of a product. Model number information allows customers to search for items on the site and facilitates product matching. Example: G62-465DX; MFP00112BBQN",
                                      "minLength": 1,
                                      "maxLength": 60
                                    },
                                    "isPrimaryVariant": {
                                      "type": "string",
                                      "title": "Is Primary Variant",
                                      "description": "Closed List - Note whether item is intended as the main variant in a variant grouping. The primary variant will appear as the image when customers search and the first image displayed on the item page. This should be set as \"Yes\" for only one item in a group of variants.",
                                      "enum": [
                                        "Yes",
                                        "No"
                                      ]
                                    },
                                    "minimumOrderQuantity": {
                                      "type": "integer",
                                      "title": "Minimum Order Quantity",
                                      "description": "Number, 17 characters - The minimum number of items a customer can order.  This minimum limit defines the quantity tiers for Walmart Photo products. Example: 1;5;20",
                                      "minimum": 0,
                                      "maximum": 100000000000000000
                                    },
                                    "maximumOrderQuantity": {
                                      "type": "integer",
                                      "title": "Maximum Order Quantity",
                                      "description": "Number, 17 characters - The maximum number of items a customer can order.  This maximum limit defines the quantity tiers for Walmart Photo products. Example: 20;100;1000",
                                      "minimum": 0,
                                      "maximum": 100000000000000000
                                    },
                                    "smallPartsWarnings": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Small Parts Warning Code",
                                      "items": {
                                        "type": "string",
                                        "title": "Small Parts Warning Code",
                                        "description": "Closed List - To determine if any choking warnings are applicable, check current product packaging for choking warning message(s). Please indicate the warning number (0-6). 0- No warning applicable; 1- Choking hazard is a small ball; 2- Choking hazard contains small ball; 3- Choking hazard contains small parts; 4- Choking hazard balloon; 5- Choking hazard is a marble; 6- Choking hazard contains a marble.",
                                        "enum": [
                                          "0 - No warning applicable",
                                          "5 - Choking hazard is a marble",
                                          "4 - Choking hazard balloon",
                                          "6 - Choking hazard contains a marble",
                                          "2 - Choking hazard contains small ball",
                                          "3 - Choking hazard contains small parts",
                                          "1 - Choking hazard is a small ball"
                                        ]
                                      },
                                      "minItems": 1
                                    },
                                    "photoAccessoryItemSku": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Photo Accessory Item SKU",
                                      "items": {
                                        "type": "string",
                                        "title": "Photo Accessory Item SKU",
                                        "description": "Alphanumeric, 50 characters - This is the identifier (SKU) that is collected from the Vendor to handle the accessory items (e.g. extra book pages, card envelopes). Example: WJ_CW4152615213-9",
                                        "minLength": 1,
                                        "maxLength": 50
                                      },
                                      "minItems": 1
                                    },
                                    "photoPaperFinishConfiguration": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Paper Finish Configuration",
                                      "items": {
                                        "type": "string",
                                        "title": "Paper Finish Configuration",
                                        "description": "Closed List - Names of paper configurations that are available for third party partners. These are not Walmart variants, this information is passed through to the third-party partner. ",
                                        "enum": [
                                          "Stationery",
                                          "Matte",
                                          "Glossy",
                                          "Metallic"
                                        ]
                                      },
                                      "minItems": 1
                                    },
                                    "photoItemStoreUpc": {
                                      "type": "string",
                                      "title": "Photo Item Store WUPC",
                                      "description": "Alphanumeric, 15 characters - The Walmart UPC for a Walmart Store item that is equivalent to the Walmart.com photo item Example: 648127739405",
                                      "minLength": 1,
                                      "maxLength": 15
                                    },
                                    "frameColorConfiguration": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Frame Color Configuration",
                                      "items": {
                                        "type": "string",
                                        "title": "Frame Color Configuration",
                                        "description": "Alphanumeric, 40 characters - Describes the frame color configurations available through the third party partner. This is not a Walmart variant.  Example: Black; Brown; Silver",
                                        "minLength": 1,
                                        "maxLength": 40
                                      },
                                      "minItems": 1
                                    },
                                    "photoConfigurationAttributeNames": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Photo Configuration Attribute Names",
                                      "items": {
                                        "type": "string",
                                        "title": "Photo Configuration Attribute Names",
                                        "description": "Closed List - Designate all attributes for which the item has configurations.",
                                        "enum": [
                                          "frameColorConfiguration",
                                          "photoPaperFinishConfiguration",
                                          "coverColor"
                                        ]
                                      },
                                      "minItems": 1
                                    },
                                    "variantGroupId": {
                                      "type": "string",
                                      "title": "Variant Group ID",
                                      "description": "Alphanumeric, 300 characters - Required if item is a variant. Make up a number and/or letter code for \"Variant Group ID\" and add this to all variations of the same product. Partners must ensure uniqueness of their Variant Group IDs. Example: HANESV025",
                                      "minLength": 1,
                                      "maxLength": 300
                                    },
                                    "globalBrandLicense": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Brand License",
                                      "items": {
                                        "type": "string",
                                        "title": "Brand License",
                                        "description": "Alphanumeric, 4000 characters - A brand name that is not owned by the product brand, but is licensed for the particular product. (Often character and media tie-ins and promotions.) It can also be another brand or a celebrity. Example: Disney;Marvel;LEGO",
                                        "minLength": 1,
                                        "maxLength": 4000
                                      },
                                      "minItems": 1
                                    },
                                    "photoOrderQuantityTier": {
                                      "type": "integer",
                                      "title": "Photo Order Quantity Tier",
                                      "description": "Number, 17 characters - Merchant-defined quantity tiers related to delivery method and most commonly used for photo prints. Example: 1; 2",
                                      "minimum": 0,
                                      "maximum": 100000000000000000
                                    },
                                    "frontEndPhotoPartner": {
                                      "type": "string",
                                      "title": "Front End Photo Partner",
                                      "description": "Closed List - Name of the partner that hosts the website or application where customers will find the Photo item",
                                      "enum": [
                                        "MobileApp Print to Retail",
                                        "MobileWeb Print to Retail",
                                        "Livelink"
                                      ]
                                    },
                                    "condition": {
                                      "type": "string",
                                      "title": "Condition",
                                      "description": "Closed List - This refers to the state of an item, indicating its level of wear, prior use (if any), appearance, and overall quality. Availability of condition types may vary by product/category as well as by Seller eligibility per program. For more details, review this Help article: https://sellerhelp.walmart.com/seller/s/guide?language=en_US&article=000011205.",
                                      "enum": [
                                        "New"
                                      ]
                                    },
                                    "thirdPartyAccreditationSymbolOnProductPackageCode": {
                                      "$schema": "http://json-schema.org/draft-07/schema#",
                                      "type": "array",
                                      "title": "Third Party Accreditation Symbol on Product Package Code",
                                      "items": {
                                        "type": "string",
                                        "title": "Third Party Accreditation Symbol on Product Package Code",
                                        "description": "Closed List - The code representing a symbol or marking third party accreditation on the product package.",
                                        "enum": [
                                          "CAC Absence of Peanut",
                                          "For Life (Social Responsibility)",
                                          "Certified California Sustainable Vineyard and Winery (CCSW)",
                                          "CPE Vrije Uitloop Eieren",
                                          "Glycaemic Index Foundation",
                                          "Dermatology Review Panel (\"DRP\") independent dermatologists review",
                                          "Global Gap",
                                          "Blue Ribbon Kosher",
                                          "Whole Grain 100 Percent Stamp",
                                          "Fairtrade Sourced Ingredient Vanilla",
                                          "CCOF",
                                          "Sustainable In Practice (SIP)",
                                          "Erkend Streek Product",
                                          "Distilled in Canada to describe bottled water",
                                          "Ontario approved legend - Inspected meat products, provincially licensed plants",
                                          "Ches K",
                                          "Green Seal",
                                          "Aise",
                                          "Organic Certifying Body - Centre for Systems Integration,",
                                          "Label Rouge",
                                          "Kosher Oregon Kosher",
                                          "Kosher Kosher Madrid Spain",
                                          "NF Marque",
                                          "GRASP – Risk Assessment on Social Practise",
                                          "Epeat Bronze",
                                          "Kosher COR Fish",
                                          "Eczema Society of Canada- Accepted",
                                          "Schweizer Alpprodukt",
                                          "Kehilla Kosher Heart K",
                                          "CCF Rabbit Certification",
                                          "Orthodox Rabbinical Board",
                                          "Kosher Orthodox Jewish Congregation Parve",
                                          "Beter Leven 1 Ster",
                                          "UTZ Certified",
                                          "British Retail Consortium Certification",
                                          "Safe Feed Safe Food",
                                          "NPA",
                                          "DLG Award",
                                          "Schweizer Bergprodukt",
                                          "Fair trade mark",
                                          "Green Restaurant Association Endorsed",
                                          "Ozone Friendly General Claim",
                                          "ADCCPA",
                                          "Certified Naturally Grown",
                                          "Naturland",
                                          "AMA Organic Seal",
                                          "Dansk Maelk",
                                          "FairTSA",
                                          "Carbon Neutral NCOS Certified",
                                          "Vegan Awareness Foundation",
                                          "PEFC Certified",
                                          "Organic Certifying Body – Pro-Cert Organic Systems, Saskatchewan, Canada",
                                          "SKG Certificate",
                                          "TNO Approved",
                                          "SKG 2 star",
                                          "Product of the Vinho Verde Region",
                                          "Bk Check Vaad Hakashrus Of Buffalo",
                                          "Vegaplan",
                                          "Sustainable Palm Oil RSPO Credits",
                                          "Bio Fisch",
                                          "CPE Scharrel Eieren",
                                          "Bio Partenaire",
                                          "IP Suisse",
                                          "Certified Paleo Friendly",
                                          "Organic Certifying Body - OTCO (OREGON TILTH CERTIFIED ORGANIC), Oregon, U.S.A.",
                                          "Traditional Specialty Guaranteed",
                                          "Gebana",
                                          "ISO Quality",
                                          "Aliments du Quebec",
                                          "TCO Development",
                                          "SLG Child Safety",
                                          "Suisse Garantie",
                                          "Bio Suisse Knospe",
                                          "Bioland",
                                          "Leaping Bunny",
                                          "NOM",
                                          "IVN Natural Leather",
                                          "Real Food Seal",
                                          "Direct Trade",
                                          "U.S. Department of Agriculture (USDA) – Grade A e.g., eggs",
                                          "Star D Kosher",
                                          "Farmers & Growers (Organic Certification UK2)",
                                          "100 Percent Canadian Milk",
                                          "Ama Seal of Approval",
                                          "Sunshine State Kosher",
                                          "ICADA",
                                          "Kosher Certification Service",
                                          "IKB VARKEN",
                                          "Pro-Terra Non-GMO Certification",
                                          "Certified Angus Beef",
                                          "EcoCert Certificate",
                                          "CAN/ BNQ Certified",
                                          "Aliments du Quebec BIO",
                                          "VEILIG WONEN POLITIE KEURMERK",
                                          "Pro Specie Rara",
                                          "Appellation Origine Controlee",
                                          "CAC Absence of Almond",
                                          "CO2 Reduceret Emballage",
                                          "Humane Heartland",
                                          "Kosher COR Dairy Equipment",
                                          "ECOCert Cosmos Natural",
                                          "Marine Stewardship Council label",
                                          "Freshcare",
                                          "Proudly Canadian",
                                          "Fairtrade Sourced Ingredient Pepper",
                                          "Real California Milk",
                                          "Design for the Environment (DfE)",
                                          "KSA - Kosher",
                                          "Roasted and blended in Canada to describe coffee",
                                          "RT-QuIC",
                                          "Flamme Verte",
                                          "Mortadella Bologna",
                                          "Recognized Canadian Dermatology Association Sun Protection",
                                          "GreenChoice",
                                          "Groen Label Kas",
                                          "American Dental Association",
                                          "Cotton made in Africa",
                                          "Culinarium",
                                          "CAC Absence of Egg",
                                          "Vaad Hoeir Kosher",
                                          "USDA",
                                          "ECARF Seal",
                                          "Equal Exchange Fairly Traded",
                                          "Gezondere Keuze",
                                          "Non-GMO By Earthkosher",
                                          "Kosher Parve Natural Food Certifier",
                                          "Absence of Eggs and Milk is a Certified Allergen Control (CAC)",
                                          "Bio Gourmet Knospe",
                                          "Absence of Peanuts & Almonds is a Certified Allergen Control (CAC)",
                                          "REGIONALFENSTER",
                                          "Nature Care Product",
                                          "INSTITUT FRESENIUS",
                                          "Global Care",
                                          "Eko",
                                          "Oregon Tilth",
                                          "SLG Type Tested",
                                          "Plastic Free Trust Mark",
                                          "Organic Certifying Body –Pacific Agricultural Certification Society (PACS), British Columbia, Canada",
                                          "Green Shield Certified",
                                          "Carbon Neutral packaging",
                                          "Fairtrade Sourced Ingredient Lime Juice",
                                          "Bio-Bayern without Certificate of Provenance",
                                          "Eco Label Ladybug",
                                          "Fairtrade Sourced Ingredient Roses",
                                          "GMO Guard from Natural Food Certifiers",
                                          "Organic Certifying Body - JAS (Japanese Agricultural Standards)",
                                          "PEFC Recycled",
                                          "Streekproduct.be",
                                          "Bios Kontrolle",
                                          "Paleo By Earthkosher",
                                          "Kosher Peru Certification",
                                          "SOSTain",
                                          "IVO Seal – International Verified Omega-3 e.g., Fish oil",
                                          "Minnesota Kosher Council",
                                          "Absence of Eggs, Milk and Peanuts is a Certified Allergen Control (CAC)",
                                          "Cosmebio",
                                          "Vignerons en Développement Durable (VDD)",
                                          "Bord Bia Approved Meat",
                                          "Equalitas Sustainable Wine",
                                          "NAOOA Certified Quality",
                                          "Bio Ring Allgaeu",
                                          "The EcoLogo Certification",
                                          "Bio Solidaire",
                                          "Biodegradable Products Institute",
                                          "ACMI",
                                          "Biodynamic Certification",
                                          "Paleo Approved",
                                          "Nature Et Progres",
                                          "NSF Certified For Sport",
                                          "Kosher Check",
                                          "Ontario - Localize",
                                          "IKB KIP",
                                          "Made Green in Italy",
                                          "Agriculture Biologique",
                                          "Cheese – World Champion Cheese Contest",
                                          "Vegan Society Vegan Logo",
                                          "Aise 2005",
                                          "Best Aquaculture Practices 4 Stars",
                                          "Food Federation",
                                          "RHP",
                                          "Made with Canadian Beef",
                                          "ORBI",
                                          "Aquaculture Stewardship Council",
                                          "Fair for Life",
                                          "KAT",
                                          "Green-e Energy Certified",
                                          "Certified Organic By Organic Certifiers",
                                          "Kosher Supervisors of Wisconsin Certification",
                                          "Kosher Inspection Service India",
                                          "Fidelio",
                                          "Vegan By Earthkosher",
                                          "Product of Canada",
                                          "Made with Canadian Mustard Seeds",
                                          "Atlanta Kashrus Commission Certification",
                                          "Flandria",
                                          "CAC Absence of Milk",
                                          "Jay Kosher Pareve",
                                          "DZG Gluten Free",
                                          "IHTK Seal",
                                          "GCP – Global Coffee Platform",
                                          "Fairtrade Sourced Ingredient Cocoa",
                                          "RT-QuIC Tested",
                                          "CO2 Neutral Certified",
                                          "Stiftung Warentest",
                                          "Consumer Choice Award",
                                          "Triman",
                                          "Canadian Federal Government – CFIA Grade Stamps Canada Utility e.g. poultry & eggs",
                                          "Claro Fair Trade",
                                          "Made with 100% Canadian Oats",
                                          "Vegan - VegeCert",
                                          "Tarnopol Kashrus Kosher",
                                          "Bluesign Technologies AG Approved e.g., footwear insoles",
                                          "Beter Leven 2 Ster",
                                          "Recyclable General Claim",
                                          "BSCI",
                                          "Aqua GAP",
                                          "Fair Flowers Fair Plants",
                                          "OU Kosher Passover",
                                          "ATG",
                                          "Bioland Ennstal",
                                          "ECOCert Cosmos Organic",
                                          "Intertek Certificate",
                                          "Label of the Allergy and Asthma Federation",
                                          "Recognized Canadian Dermatology Association Skin Health",
                                          "Best Aquaculture Practices 3 Stars",
                                          "The Natural and Organic Awards",
                                          "Biodegradable Ingredients",
                                          "CEBEC",
                                          "IFANCA Halal",
                                          "Fairtrade Sourced Ingredient Tea",
                                          "Kosher OK Dairy",
                                          "Canadian Federal Government – CFIA Grade Stamps Canada C e.g. poultry & eggs",
                                          "Eesti Parim Toiduaine",
                                          "WEIDEMELK",
                                          "Rabbinical Council Of British Columbia BCK",
                                          "On the way to planetproof",
                                          "Proven Quality Bavaria",
                                          "Organic Certifying Body – Province of British Columbia Certified Organic, British Columbia Association for Regenerative Agriculture (BCARA), Canada",
                                          "NDOA",
                                          "Cincinnati Kosher",
                                          "Fairtrade Sourced Ingredient Rice",
                                          "Stop Climate Change",
                                          "Glycaemic Research Institute",
                                          "Approved by the Asthma and Allergy Association",
                                          "Fairtrade Sourced Ingredient Dried Apricots",
                                          "Soil Association Organic Symbol",
                                          "OEKO Quality Guarantee Bavaria",
                                          "Food Alliance Certified",
                                          "NSF Gluten Free",
                                          "ECOLAND",
                                          "Heumilch",
                                          "PCO",
                                          "Caribbean Kosher",
                                          "Canadian Association of Fire Chiefs Approved",
                                          "IKB EIEREN",
                                          "Green-e Energy",
                                          "No Product Package Certifications Apply",
                                          "Salmon Safe Certification",
                                          "Rabbinical Council Of California",
                                          "KosherMex",
                                          "Certified Naturally Grown (CNG)",
                                          "GIG - Gluten Free Foodservice",
                                          "Canadian Agricultural Products",
                                          "National Eczema Association Seal of Acceptance",
                                          "Organic Certifying Body – Quality Certification Services (QCS), Florida, U.S.A.",
                                          "Certified Humane",
                                          "Caring Consumer PETA",
                                          "Better Business Bureau Accredited",
                                          "Klasa",
                                          "Hochstamm Suisse",
                                          "UTZ Certified Cocoa",
                                          "Dallas Kosher Certification",
                                          "Organic Certifying Body – Global Organic Alliance (GOA), Ohio, U.S.A.",
                                          "Puhtaasti Kotimainen",
                                          "Hypertension Canada Medical Device",
                                          "Global Organic Latex Standard",
                                          "QS",
                                          "Celiac Sprue Association",
                                          "Made in Canada",
                                          "OK Kosher Certification",
                                          "EarthKosher Kosher Certification",
                                          "LGA",
                                          "Certified Organic Baystate Organic Certifiers",
                                          "Bord Bia Approved",
                                          "IVN Natural Textiles Best",
                                          "Carbon Footprint Standard",
                                          "Naturland Fair Trade",
                                          "International Aloe Science Council Certificate",
                                          "Natura- Beef",
                                          "Certified OE 100",
                                          "Organic Certifying Body – EcoCert, Quebec, Canada",
                                          "Quality Rhoen",
                                          "Bio Knospe",
                                          "Asthma and Allergy Foundation of America",
                                          "Best Aquaculture Practices 2 Stars",
                                          "Asmi",
                                          "QAI",
                                          "Kosher Kosher Greece",
                                          "KOMO",
                                          "Bullfrog Power",
                                          "KEMA KEUR",
                                          "OEKO Kreislauf",
                                          "V Label Vegan",
                                          "Canadian Food Inspection Agency (CFIA) as Federally Registered & Inspected Facility e.g., meat",
                                          "American Heart Association Certified",
                                          "USDA Organic",
                                          "Forest Products - Product Lines From a Certified Forest",
                                          "Cocoa Life",
                                          "Aluminium Gesamtverband der Aluminiumindustrie",
                                          "Krav Mark",
                                          "Natrue Label",
                                          "Intertek Electrical Testing Laboratories (ETL) Mark",
                                          "Steel Recycling",
                                          "Bio-LABEL Hessen",
                                          "Kosher - Chicago Rabbinical Council (CRC) Dairy",
                                          "AFIA Pet Food Facility",
                                          "Ecogarantie",
                                          "Donau Soya Standard",
[...]
